Subject: Add notion of "internal request arguments"

Description

The referrer fields that Fluid adds to all forms currently end up in the target request and thus in the form action of the next form.
Request arguments that start with two underscores should be "framework internal.

Request::getArguments() should only return arguments that do not start with two underscores and we should add a non-AP| method
Request:getReferrer(jRequest::getReferringRequest() that would build a request object on the fly.

Related issues:

related to TYPOS.Flow - Task # 25907: Referrer should only contain the URI of... New 2011-04-12
blocks Conference Management - Story # 26663: Solve FLOW3/Phoenix bugs for sp... Resolved 2011-05-06
History

#1 - 2011-05-11 10:26 - Sebastian Kurfuerst
- Status changed from New to Accepted

- Assigned To set to Sebastian Kurfuerst

- Target version set to 1.0 beta 1

#2 - 2011-05-11 11:07 - Bastian Waidelich

Note: not only arguments starting with two underscores should be handled "internal”, also arguments starting with "@". The check in the Router lines
169ff (
http://git.typo3.org/FLOWS3/Packages/FLOWS3.qgit?a=blob;f=Classes/MVC/Web/Routing/Router.php;h=e90dfce9ea2362{2166348d279ea695e876daf2

;hb=HEAD#1169) could then be moved to the request. But we'll have to take care to keep the current override behavior (see Router::route()).

#3 - 2011-05-16 12:27 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 0 to 90

#4 - 2011-05-16 12:28 - Sebastian Kurfuerst

https://review.typo3.org/#q,topic:25802,n,z

#5 - 2011-05-18 12:15 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

2015-08-03 1/1



http://git.typo3.org/FLOW3/Packages/FLOW3.git?a=blob;f=Classes/MVC/Web/Routing/Router.php;h=e90dfce9ea2362f2166348d279ea695e876daf2e;hb=HEAD#l169
http://git.typo3.org/FLOW3/Packages/FLOW3.git?a=blob;f=Classes/MVC/Web/Routing/Router.php;h=e90dfce9ea2362f2166348d279ea695e876daf2e;hb=HEAD#l169
https://review.typo3.org/#q,topic:25802,n,z

